
QGIS Application - Bug report #19679

Crash when saving a raster with pyramids

2018-08-23 06:33 PM - Giovanni Manghi

Status: Closed

Priority: High

Assignee: Even Rouault

Category: Rasters

Affected QGIS version:3.3(master) Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 27504

Description

Add the attach raster > right click >

export > save as... >

save it (raw data) while enabling the option to create pyramids > QGIS crashes.

Tested on master/Linux. See also #18804-1

Related issues:

Related to QGIS Application - Bug report # 18804: Crashed on build raster pyr... Closed 2018-04-25

Associated revisions

Revision 0c0e30b4 - 2018-09-22 03:09 PM - Even Rouault

QgsRasterFilWriter: fix crash when building overviews (fixes #19679)

Revision ac65ee03 - 2018-09-23 03:51 PM - Even Rouault 

Merge pull request #7983 from rouault/fix_18804

QgsRasterFilWriter: fix crash when building overviews (fixes #19679)

History

#1 - 2018-08-26 05:39 PM - Jürgen Fischer

- Related to Bug report #18804: Crashed on build raster pyramid. added

#2 - 2018-08-27 12:22 AM - Jürgen Fischer

- Description updated

#3 - 2018-09-22 03:10 PM - Even Rouault

- Assignee set to Even Rouault

- Status changed from Open to In Progress

#4 - 2018-09-23 03:51 PM - Even Rouault

- % Done changed from 0 to 100

- Status changed from In Progress to Closed
Applied in changeset commit:qgis|0c0e30b48f8251900189a965a4a6d2526ca19a56.
